Bug 35429 - Assertion at socket-io.c:2757 when cleanly exiting XS
Summary: Assertion at socket-io.c:2757 when cleanly exiting XS
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: io-layer (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Ludovic Henry
URL:
Depends on:
Blocks:
 
Reported: 2015-10-31 05:46 UTC by David Karlaš
Modified: 2015-11-13 07:59 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description David Karlaš 2015-10-31 05:46:45 UTC
I'm using latest Mono 4.3.0 (master/d1b4e3a) master builds from mono-master-32 lane. Every time I cleanly exit XS it crashes with this assertion.

https://gist.github.com/DavidKarlas/3c6f37cc75c3ef301085
Comment 1 Ludovic Henry 2015-11-02 14:28:38 UTC
It is fixed on mono/master with dbe9e55cac723d558e9b062f523d57f5da5a57b4

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 35429 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: